lubyrack.h File Reference

Classes for the Luby-Rackoff block cipher. More...

Go to the source code of this file.

## Classes

struct | DigestSizeDoubleWorkaround< T >
class | LR_Info< T >
| Luby-Rackoff block cipher information. More...
class | LR< T >
| Luby-Rackoff block cipher. More...

## Macros

#define | KL this->key
#define | KR this->key+this->L
#define | BL this->buffer
#define | BR this->buffer+this->S
#define | IL inBlock
#define | IR inBlock+this->S
#define | OL outBlock
#define | OR outBlock+this->S

## Detailed Description

Classes for the Luby-Rackoff block cipher.

Definition in file lubyrack.h.